Package ru.bitel.bgbilling.kernel.dynamic.server.bean

# Class CustomTemplateDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate>
ru.bitel.bgbilling.kernel.dynamic.server.bean.CustomTemplateDao

public class CustomTemplateDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomTemplateDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate`
  `getFromRS(ResultSet rs)`
  `void`
  `getList(SearchResult<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate> searchResult)`
  Возвращает list пользовательских шаблонов, либо пустой list, если шаблонов нет
  `protected void`
  `updateImpl(ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate template)`
  Обновляет/добавляет шаблон кода.

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomTemplateDao

    public CustomTemplateDao(Connection con)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate template) throws SQLException
    Обновляет/добавляет шаблон кода. Если шаблон добавился, то в бин заносится id вставленной записи.
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate>`
    Parameters:
      `template` - - пользовательский шаблон кода
    Throws:
      `SQLException`

  - ### getList

    public void getList(SearchResult<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate> searchResult) throws SQLException
    Возвращает list пользовательских шаблонов, либо пустой list, если шаблонов нет
    Throws:
      `SQLException`

  - ### getFromRS

    protected ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ru.bitel.bgbilling.kernel.dynamic.common.templates.CustomTemplate>`
    Throws:
      `SQLException`